# Asterisk Project : Asterisk 12 Function_SQL_ESC

Added by wikibot , edited by wikibot on Aug 29, 2013

# SQL_ESC()

### Synopsis

Escapes single ticks for use in SQL statements.

### Description

Used in SQL templates to escape data which may contain single ticks `'` which are otherwise used to delimit data.

Example: SELECT foo FROM bar WHERE baz='${SQL_ESC(${ARG1})}'

### Syntax

    SQL_ESC(string)

##### Arguments

- `string`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown